GuideLab API

Create Whats App Template

Create a new WhatsApp message template in draft status. The template name is auto-prefixed with the organization slug. Lab-only operation.

POST
/whatsapp-templates

Create a new WhatsApp message template in draft status. The template name is auto-prefixed with the organization slug. Lab-only operation.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/whatsapp-templates" \  -H "Content-Type: application/json" \  -d '{    "nameSuffix": "string",    "displayName": "string",    "body": "string"  }'
{  "template": {    "id": "string",    "organizationId": "string",    "name": "string",    "displayName": "string",    "description": "string",    "language": "string",    "category": "string",    "contentType": "string",    "body": "string",    "variables": {      "property1": "string",      "property2": "string"    },    "status": "string",    "contentSid": "string",    "rejectionReason": "string",    "lastSyncedAt": "string",    "lastSyncError": "string",    "usageCount": 0,    "successfulSendCount": 0,    "providerScope": "unbound",    "accountState": "unbound",    "providerOperation": {      "id": "string",      "phase": "ready_create",      "state": "pending"    },    "compatibleEvents": [      "order_received_lab"    ],    "selectedEvents": [      "order_received_lab"    ],    "createdBy": "string",    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty